# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_DynamicClass Class Reference

A dynamic class is defined as a sequence of
parameters and as a sequence of methods. The
specifications are similar to C++ classes. The
class has to be defined in terms of fields
(Parameters) and methods. An instance of the class
must be made to set the fields and to use the
functionalities.
.

`#include <Dynamic_DynamicClass.hxx>`

Inheritance diagram for Dynamic_DynamicClass:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_DynamicClass (const Standard_CString aname)
| Creates a new empty instance of DynamicClass. .
Standard_EXPORT void | Parameter (const Handle(Dynamic_Parameter)&aparameter)
| Adds another parameter <aparameter> to the sequence of parameter definitions. .
Standard_EXPORT void | CompiledMethod (const Standard_CString amethod, const Standard_CString anaddress)
| Adds another method to the sequence of methods. It has <amethod> as name and <anaddress> as mangled name of the corresponding C++ function which must be called. .
Standard_EXPORT void | InterpretedMethod (const Standard_CString amethod, const Standard_CString afile)
| Adds another method to the sequence of methods. It has <amethod> as name and <afile> as interpreted file. .
virtual Standard_EXPORT Handle_Dynamic_Method | Method (const Standard_CString amethod) const
| Returns a reference to the method object identified by the string <amethod>. .
virtual Standard_EXPORT Handle_Dynamic_DynamicInstance | Instance () const
| Returns an instance object of this class. .
virtual Standard_EXPORT void | Dump (Standard_OStream &astream) const
| useful for debugging.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thename
Handle_Dynamic_ParameterNode | thefirstparameternode
Handle_Dynamic_SequenceOfMethods | thesequenceofmethods

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_DynamicClass::Dynamic_DynamicClass | ( | const Standard_CString | aname | ) |

## Member Function Documentation

Standard_EXPORT void Dynamic_DynamicClass::CompiledMethod | ( | const Standard_CString | amethod,
|  | const Standard_CString | anaddress
| ) |

virtual Standard_EXPORT void Dynamic_DynamicClass::Dump | ( | Standard_OStream & | astream | ) | const`[virtual]`

Standard_EXPORT const Dynamic_DynamicClass::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared. Reimplemented in Dynamic_DynamicDerivedClass.

virtual Standard_EXPORT Handle_Dynamic_DynamicInstance Dynamic_DynamicClass::Instance | ( |  | ) | const`[virtual]`

| Reimplemented in Dynamic_DynamicDerivedClass.

Standard_EXPORT void Dynamic_DynamicClass::InterpretedMethod | ( | const Standard_CString | amethod,
|  | const Standard_CString | afile
| ) |

virtual Standard_EXPORT Handle_Dynamic_Method Dynamic_DynamicClass::Method | ( | const Standard_CString | amethod | ) | const`[virtual]`

| Reimplemented in Dynamic_DynamicDerivedClass.

Standard_EXPORT void Dynamic_DynamicClass::Parameter | ( | const Handle(Dynamic_Parameter)& | aparameter | ) |

## Field Documentation

Handle_Dynamic_ParameterNode Dynamic_DynamicClass::thefirstparameternode `[private]`

Handle_TCollection_HAsciiString Dynamic_DynamicClass::thename `[private]`

Handle_Dynamic_SequenceOfMethods Dynamic_DynamicClass::thesequenceofmethods `[private]`

The documentation for this class was generated from the following file:

- Dynamic_DynamicClass.hxx